Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 10832356: Use GPU blacklist to control accelerated video decode. (Closed)

Created:
6 years, 6 months ago by Zhenyao Mo
Modified:
6 years, 6 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, arv (Not doing code reviews), jam, apatrick_chromium
Visibility:
Public.

Description

Use GPU blacklist to control accelerated video decode. BUG=137247, 142402, 141500, 139683 TEST=about:gpu page Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=152167

Patch Set 1 #

Total comments: 10

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Total comments: 5

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+31 lines, -15 lines) Patch
M chrome/browser/resources/gpu_internals/info_view.js View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/resources/software_rendering_list.json View 1 2 3 3 chunks +22 lines, -2 lines 0 comments Download
M content/browser/gpu/gpu_data_manager_impl.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 3 1 chunk +4 lines, -12 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
Zhenyao Mo
Ami: please have a look. Antoine: I don't think ChromeOS is affected by this change, ...
6 years, 6 months ago (2012-08-16 23:06:52 UTC) #1
piman
LGTM Note: this only affects HTML5, just making sure that's what you want. Flash may ...
6 years, 6 months ago (2012-08-16 23:37:04 UTC) #2
Zhenyao Mo
On 2012/08/16 23:37:04, piman wrote: > LGTM > Note: this only affects HTML5, just making ...
6 years, 6 months ago (2012-08-16 23:42:34 UTC) #3
Ami GONE FROM CHROMIUM
I was referring to HTML5 only. https://chromiumcodereview.appspot.com/10832356/diff/1/chrome/browser/resources/software_rendering_list.json File chrome/browser/resources/software_rendering_list.json (right): https://chromiumcodereview.appspot.com/10832356/diff/1/chrome/browser/resources/software_rendering_list.json#newcode671 chrome/browser/resources/software_rendering_list.json:671: "description": "Accelerated video ...
6 years, 6 months ago (2012-08-17 00:19:16 UTC) #4
Zhenyao Mo
https://chromiumcodereview.appspot.com/10832356/diff/1/chrome/browser/resources/software_rendering_list.json File chrome/browser/resources/software_rendering_list.json (right): https://chromiumcodereview.appspot.com/10832356/diff/1/chrome/browser/resources/software_rendering_list.json#newcode671 chrome/browser/resources/software_rendering_list.json:671: "description": "Accelerated video decode is unstable except for ChromeOS", ...
6 years, 6 months ago (2012-08-17 00:25:09 UTC) #5
Zhenyao Mo
Revised, please have another look.
6 years, 6 months ago (2012-08-17 00:28:16 UTC) #6
Ami GONE FROM CHROMIUM
https://chromiumcodereview.appspot.com/10832356/diff/1/chrome/browser/resources/software_rendering_list.json File chrome/browser/resources/software_rendering_list.json (right): https://chromiumcodereview.appspot.com/10832356/diff/1/chrome/browser/resources/software_rendering_list.json#newcode676 chrome/browser/resources/software_rendering_list.json:676: "type": "chromeos" On 2012/08/17 00:25:09, Zhenyao Mo wrote: > ...
6 years, 6 months ago (2012-08-17 04:14:00 UTC) #7
Ami GONE FROM CHROMIUM
https://chromiumcodereview.appspot.com/10832356/diff/1/content/browser/gpu/gpu_data_manager_impl.cc File content/browser/gpu/gpu_data_manager_impl.cc (right): https://chromiumcodereview.appspot.com/10832356/diff/1/content/browser/gpu/gpu_data_manager_impl.cc#newcode189 content/browser/gpu/gpu_data_manager_impl.cc:189: command_line->AppendSwitch(switches::kDisableAcceleratedVideoDecode); On 2012/08/17 00:25:09, Zhenyao Mo wrote: > On ...
6 years, 6 months ago (2012-08-17 04:15:52 UTC) #8
Zhenyao Mo
Revised, please review again. https://chromiumcodereview.appspot.com/10832356/diff/7001/content/renderer/render_view_impl.cc File content/renderer/render_view_impl.cc (right): https://chromiumcodereview.appspot.com/10832356/diff/7001/content/renderer/render_view_impl.cc#newcode2401 content/renderer/render_view_impl.cc:2401: switches::kDisableAcceleratedVideoDecode); On 2012/08/17 04:14:00, Ami ...
6 years, 6 months ago (2012-08-17 17:16:16 UTC) #9
Ami GONE FROM CHROMIUM
https://chromiumcodereview.appspot.com/10832356/diff/10002/chrome/browser/resources/software_rendering_list.json File chrome/browser/resources/software_rendering_list.json (right): https://chromiumcodereview.appspot.com/10832356/diff/10002/chrome/browser/resources/software_rendering_list.json#newcode672 chrome/browser/resources/software_rendering_list.json:672: "cr_bugs": [137247, 142402], s/142402/133828/ (the former is now resolved, ...
6 years, 6 months ago (2012-08-17 17:51:03 UTC) #10
Zhenyao Mo
PTAL https://chromiumcodereview.appspot.com/10832356/diff/10002/chrome/browser/resources/software_rendering_list.json File chrome/browser/resources/software_rendering_list.json (right): https://chromiumcodereview.appspot.com/10832356/diff/10002/chrome/browser/resources/software_rendering_list.json#newcode672 chrome/browser/resources/software_rendering_list.json:672: "cr_bugs": [137247, 142402], On 2012/08/17 17:51:03, Ami Fischman ...
6 years, 6 months ago (2012-08-17 20:08:17 UTC) #11
Ami GONE FROM CHROMIUM
6 years, 6 months ago (2012-08-17 22:06:18 UTC) #12
LGTM assuming this works the way I think it does :)
(in particular, HW decode is still enabled on win & cros)

Powered by Google App Engine
This is Rietveld 408576698